Page MenuHomePhabricator

Rest Test PHPUnit warnings
Closed, ResolvedPublic

Description

17:22:23 1) MediaWiki\Tests\Rest\Handler\UserContributionsHandlerTest::testThatAnonymousUserReturns401
17:22:23 Trying to configure method "getParentRevisionSizes" which cannot be configured because it does not exist, has not been specified, is final, or is static
17:22:23 
17:22:23 2) MediaWiki\Tests\Rest\Handler\UserContributionsHandlerTest::testThatResponseConformsToSchema with data set #0 (0, array(array()))
17:22:23 Trying to configure method "getParentRevisionSizes" which cannot be configured because it does not exist, has not been specified, is final, or is static
17:22:23 
17:22:23 3) MediaWiki\Tests\Rest\Handler\UserContributionsHandlerTest::testThatResponseConformsToSchema with data set #1 (1, array(array(array(1, 'Edit 1', '2020-01-01T00:00:01Z', 256, array(1, 'Main_Page', 'Main Page')))))
17:22:23 Trying to configure method "getParentRevisionSizes" which cannot be configured because it does not exist, has not been specified, is final, or is static
17:22:23 
17:22:23 4) MediaWiki\Tests\Rest\Handler\UserContributionsHandlerTest::testThatResponseConformsToSchema with data set #2 (5, array(array(array(5, 'Edit 5', '2020-01-01T00:00:05Z', 256, array(1, 'Main_Page', 'Main Page')), array(4, 'Edit 4', '2020-01-01T00:00:04Z', 256, array(1, 'Main_Page', 'Main Page')))))
17:22:23 Trying to configure method "getParentRevisionSizes" which cannot be configured because it does not exist, has not been specified, is final, or is static

Event Timeline

Reedy created this task.Jun 9 2020, 4:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 9 2020, 4:23 PM

This is also happening on Wikibase patches

Daimona added a subscriber: Daimona.Jun 9 2020, 7:09 PM

Added with https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/602141 -- it should probably be just removed from the test.

eprodromou assigned this task to daniel.Jun 9 2020, 8:04 PM
eprodromou added subscribers: nnikkhoui, eprodromou.

Looks like this is part of the current work on the REST API, so adding for Daniel and Nikki to review.

Change 604145 had a related patch set uploaded (by Nikki Nikkhoui; owner: Nikki Nikkhoui):
[mediawiki/core@master] Remove unused getParentRevisionSizes mock

https://gerrit.wikimedia.org/r/604145

Change 604145 merged by jenkins-bot:
[mediawiki/core@master] Fix failing UserContributionsHandlerTest

https://gerrit.wikimedia.org/r/604145

Legoktm closed this task as Resolved.Jul 15 2020, 1:15 AM
Legoktm reassigned this task from daniel to nnikkhoui.
Legoktm added a subscriber: daniel.